Get a webhook (staff)
GET /api/automations/webhooks/{id}. Get a webhook (staff). Headless LMS Automations API reference.
Staff only (owner, admin, instructor). The signing secret is not included.
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/automations/webhooks/string"{ "orgId": "string", "id": "string", "url": "string", "events": [ "string" ], "description": "string", "enabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Create a webhook (staff) POST
POST /api/automations/webhooks. Create a webhook (staff). Headless LMS Automations API reference.
Change a webhook's URL, events, description or enabled flag (staff) PATCH
PATCH /api/automations/webhooks/{id}. Change a webhook's URL, events, description or enabled flag (staff). Headless LMS Automations API reference.